For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contracts

The following endpoints allow you to assign your equipments to contracts data, so that Hiboo can detect out-of-contract usages.

List contract assignments

get
/v2/fleet/contracts/assignments

Returns all the contract assignments of your organization

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Responses
200

Successful operation

application/json
idinteger · int32Required

Unique identifier of the contract assignment, generated by Hiboo

Example: 42
contractReferencestringRequired

The reference of the contract the equipment is assigned to

Example: XK-123456
assetIdinteger · int32Required

Hiboo's id of the equipment assigned to the contract

Example: 1
startDatestring · dateRequired

First day of the contract assignment (YYYY-MM-DD), asset timezone

Example: 2026-01-01
endDatestring · dateRequired

Last day of the contract assignment (YYYY-MM-DD), asset timezone. Must not be before the start date

Example: 2026-12-31
maximumHoursPerDaynumber · nullableRequired

Maximum number of usage hours per day allowed by the contract. null if the contract does not limit the daily usage

Example: 8
customerstringRequired

Name of the customer renting the equipment

Example: Customer Name
excludedDaysstring · date[]Required

Specific dates (YYYY-MM-DD) excluded from the contract, even if they fall on a working day

Example: ["2026-08-15"]
includedDaysstring · date[]Required

Specific dates (YYYY-MM-DD) included in the contract, even if they do not fall on a working day

Example: ["2026-06-06"]
excludePublicHolidaysbooleanRequired

If true, public holidays of the specified country are excluded from the contract

countrystring · enumRequired

Country used to determine public holidays

Example: FRPossible values:
dailyRatenumber · nullableRequired

Daily rate charged for out-of-contract usage. null if not defined

Example: 350
currencystring · min: 3 · max: 3Required

Currency of the daily rate, as a 3-letter ISO 4217 code

Example: EUR
get/v2/fleet/contracts/assignments

Create a contract assignment

post
/v2/fleet/contracts/assignments

Assigns an equipment to a contract for a given period. The contract assignment defines the expected usage of the equipment (working days, maximum hours per day), which is used to detect out-of-contract usage.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Body
contractReferencestring · min: 1Required

The reference of the contract the equipment is assigned to

Example: XK-123456
assetIdinteger · int32Required

Hiboo's id of the equipment to assign to the contract

Example: 1
startDatestring · dateRequired

First day of the contract assignment (YYYY-MM-DD), asset timezone

Example: 2026-01-01
endDatestring · dateRequired

Last day of the contract assignment (YYYY-MM-DD), asset timezone. Must not be before the start date

Example: 2026-12-31
maximumHoursPerDaynumber · max: 24 · nullableOptional

Maximum number of usage hours per day allowed by the contract, between 0 (exclusive) and 24. Set it to null or omit it if the contract does not limit the daily usage

Example: 8
customerstring · min: 1Required

Name of the customer renting the equipment

Example: Customer Name
excludedDaysstring · date[]Optional

Specific dates (YYYY-MM-DD) to exclude from the contract, even if they fall on a working day. A date cannot be both excluded and included

Example: ["2026-08-15"]
includedDaysstring · date[]Optional

Specific dates (YYYY-MM-DD) to include in the contract, even if they do not fall on a working day. A date cannot be both excluded and included

Example: ["2026-06-06"]
excludePublicHolidaysbooleanOptional

If true, public holidays of the specified country are excluded from the contract. Defaults to false

countrystring · enumRequired

Country used to determine public holidays

Example: FRPossible values:
dailyRatenumber · nullableOptional

Daily rate charged for out-of-contract usage. Must be greater than or equal to 0. Set it to null or omit it if not defined

Example: 350
currencystring · min: 3 · max: 3Required

Currency of the daily rate, as a 3-letter ISO 4217 code

Example: EUR
Responses
201

Contract assignment successfully created

application/json
idinteger · int32Required

Unique identifier of the contract assignment, generated by Hiboo

Example: 42
contractReferencestringRequired

The reference of the contract the equipment is assigned to

Example: XK-123456
assetIdinteger · int32Required

Hiboo's id of the equipment assigned to the contract

Example: 1
startDatestring · dateRequired

First day of the contract assignment (YYYY-MM-DD), asset timezone

Example: 2026-01-01
endDatestring · dateRequired

Last day of the contract assignment (YYYY-MM-DD), asset timezone. Must not be before the start date

Example: 2026-12-31
maximumHoursPerDaynumber · nullableRequired

Maximum number of usage hours per day allowed by the contract. null if the contract does not limit the daily usage

Example: 8
customerstringRequired

Name of the customer renting the equipment

Example: Customer Name
excludedDaysstring · date[]Required

Specific dates (YYYY-MM-DD) excluded from the contract, even if they fall on a working day

Example: ["2026-08-15"]
includedDaysstring · date[]Required

Specific dates (YYYY-MM-DD) included in the contract, even if they do not fall on a working day

Example: ["2026-06-06"]
excludePublicHolidaysbooleanRequired

If true, public holidays of the specified country are excluded from the contract

countrystring · enumRequired

Country used to determine public holidays

Example: FRPossible values:
dailyRatenumber · nullableRequired

Daily rate charged for out-of-contract usage. null if not defined

Example: 350
currencystring · min: 3 · max: 3Required

Currency of the daily rate, as a 3-letter ISO 4217 code

Example: EUR
post/v2/fleet/contracts/assignments

Update a contract assignment

put
/v2/fleet/contracts/assignments/{id}

Replaces an existing contract assignment with the provided representation. All the fields must be provided; the contract reference and the equipment cannot be changed.

Authorizations
x-access-tokenstringRequired

Generate a JWT when you log in. Use it in your following requests in the header as x-access-token: your-token-here

Path parameters
idinteger · int32Required

The id of the contract assignment, returned when it was created

Example: 42
Body
startDatestring · dateRequired

First day of the contract assignment (YYYY-MM-DD), asset timezone

Example: 2026-01-01
endDatestring · dateRequired

Last day of the contract assignment (YYYY-MM-DD), asset timezone. Must not be before the start date

Example: 2026-12-31
maximumHoursPerDaynumber · max: 24 · nullableOptional

Maximum number of usage hours per day allowed by the contract, between 0 (exclusive) and 24. Set it to null or omit it if the contract does not limit the daily usage

Example: 8
customerstring · min: 1Required

Name of the customer renting the equipment

Example: Customer Name
excludedDaysstring · date[]Optional

Specific dates (YYYY-MM-DD) to exclude from the contract, even if they fall on a working day. A date cannot be both excluded and included

Example: ["2026-08-15"]
includedDaysstring · date[]Optional

Specific dates (YYYY-MM-DD) to include in the contract, even if they do not fall on a working day. A date cannot be both excluded and included

Example: ["2026-06-06"]
excludePublicHolidaysbooleanOptional

If true, public holidays of the specified country are excluded from the contract. Defaults to false

countrystring · enumRequired

Country used to determine public holidays

Example: FRPossible values:
dailyRatenumber · nullableOptional

Daily rate charged for out-of-contract usage. Must be greater than or equal to 0. Set it to null or omit it if not defined

Example: 350
currencystring · min: 3 · max: 3Required

Currency of the daily rate, as a 3-letter ISO 4217 code

Example: EUR
Responses
200

Contract assignment successfully updated

application/json
idinteger · int32Required

Unique identifier of the contract assignment, generated by Hiboo

Example: 42
contractReferencestringRequired

The reference of the contract the equipment is assigned to

Example: XK-123456
assetIdinteger · int32Required

Hiboo's id of the equipment assigned to the contract

Example: 1
startDatestring · dateRequired

First day of the contract assignment (YYYY-MM-DD), asset timezone

Example: 2026-01-01
endDatestring · dateRequired

Last day of the contract assignment (YYYY-MM-DD), asset timezone. Must not be before the start date

Example: 2026-12-31
maximumHoursPerDaynumber · nullableRequired

Maximum number of usage hours per day allowed by the contract. null if the contract does not limit the daily usage

Example: 8
customerstringRequired

Name of the customer renting the equipment

Example: Customer Name
excludedDaysstring · date[]Required

Specific dates (YYYY-MM-DD) excluded from the contract, even if they fall on a working day

Example: ["2026-08-15"]
includedDaysstring · date[]Required

Specific dates (YYYY-MM-DD) included in the contract, even if they do not fall on a working day

Example: ["2026-06-06"]
excludePublicHolidaysbooleanRequired

If true, public holidays of the specified country are excluded from the contract

countrystring · enumRequired

Country used to determine public holidays

Example: FRPossible values:
dailyRatenumber · nullableRequired

Daily rate charged for out-of-contract usage. null if not defined

Example: 350
currencystring · min: 3 · max: 3Required

Currency of the daily rate, as a 3-letter ISO 4217 code

Example: EUR
put/v2/fleet/contracts/assignments/{id}

Last updated

Was this helpful?